> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update thread properties

> Updates the properties of a thread.

**Required scopes:** <Tooltip tip="To update properties in a thread taking place in any group.">`chats--all:rw`</Tooltip> or <Tooltip tip="To update properties in a thread taking place in groups that the requester (related to the token) is a member of. The agent groups and the chat groups must overlap — at least one group must be in common.">`chats--access:rw`</Tooltip>


## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/update_thread_properties
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/update_thread_properties:
    post:
      tags:
        - Properties
      summary: Update thread properties
      description: Updates the properties of a thread.
      operationId: update-thread-properties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateThreadPropertiesRequest'
            example:
              chat_id: Q1WZ073OA7
              thread_id: Q1WZ073OB7
              properties:
                0805e283233042b37f460ed8fbf22160:
                  string_property: Chat thread property value updated by Agent
      responses:
        '200':
          description: Thread properties updated.
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:rw
components:
  schemas:
    UpdateThreadPropertiesRequest:
      type: object
      required:
        - chat_id
        - thread_id
        - properties
      properties:
        chat_id:
          type: string
          description: The chat ID.
        thread_id:
          type: string
          description: The ID of the thread to update properties for.
        properties:
          type: object
          description: >-
            Properties to set. Use the format `{"<namespace>":
            {"<property_name>": <value>}}`. See the [storing custom
            data](/api/events-and-properties/properties-overview) guide for
            details on the properties format.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````